View Issue Details

IDProjectCategoryView StatusLast Update
0012253mantisbtfeaturepublic2014-12-08 00:33
ReporterbdruAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.1 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012253: Graphviz Graph to display workflow - PATCH
Description

Dear all,

A workflow graph is helpful once your mantis workflow gets bigger or when you simply want to explain the flow to someone.

HERE IS A PATCH to have the graph displayed on the workflow transitions page (/manage_config_workflow_page.php)

To make it work, you need the relationship graph enabled.

The attached tgz also contains a sample resulting image.

Bernard

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
has duplicate 0004768 closedatrol States transitions diagram 

Activities

bdru

bdru

2010-08-12 20:18

reporter  

workflow_graph_img.tgz (22,151 bytes)
bdru

bdru

2010-08-12 20:26

reporter  

dhx

dhx

2010-08-14 00:12

reporter   ~0026307

Fantastic patch Bernard! I've applied this new feature to the 1.3.x branch.

I've taken your patch and refactored/cleaned/extended it a little bit. Please see the commit message attached to this bug for the full details. I hope these changes are within your original intentions for your patch. I'm happy to discuss ways to improve this functionality.

Thanks

JanHegewald

JanHegewald

2011-12-08 10:23

reporter   ~0030513

Hi,

is there a possibility to include this feature also in 1.2.x? I tried to apply the changes from the git commit to my 1.2.8 installation, but no workflow graph shows up on the page 'Workflow Graph', only the message, that this setting only applies to project xyz. I have switched on the relationship graphs and they are showing up properly. Any suggestions?

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036394

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 596097f3

2010-08-14 03:50:42

dhx

Details Diff
Issue 0012253: Implement management page to view workflow graph

Bernard de Rubinat contributed a patch to implement a workflow graph
using the existing GraphViz API for rendering. This patch will add a new
page the Manage => Configuration menu to show a graph of the workflow
(status transitions) for the currently selected project.

The proposed functionality was cleaned up and extended in the following
ways:

1) Added workflow_api for functions that are used for working with
workflows. This API is already used by two MantisBT pages.

2) Place the workflow graph on a separate page in the management
console. There wasn't enough space within the
manage_config_workflow_page.php page.

3) Use the 'dot' tool for generating the graph rather than 'neato'. This
new format is more suitable for displaying workflows.

4) Refactored the code used to print the manage configuration menu. This
newer format would be better used as a generic print_menu(...) function
in the future (serving multiple different menus).

Contributed-by: Bernard de Rubinat <bernard.derubinat@gmail.com>
Contributed-by: David Hicks <hickseydr@optusnet.com.au>
add - manage_config_workflow_graph_page.php Diff File
mod - manage_config_workflow_page.php Diff File
add - workflow_graph_img.php Diff File
mod - core/html_api.php Diff File
add - core/workflow_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2010-08-12 20:18 bdru New Issue
2010-08-12 20:18 bdru File Added: workflow_graph_img.tgz
2010-08-12 20:26 bdru File Added: workflow_graph_img.php.png
2010-08-13 21:41 dhx Assigned To => dhx
2010-08-13 21:41 dhx Status new => assigned
2010-08-13 21:41 dhx Target Version => 1.3.0-beta.1
2010-08-14 00:10 dhx Changeset attached => MantisBT master 596097f3
2010-08-14 00:12 dhx Note Added: 0026307
2010-08-14 00:12 dhx Status assigned => resolved
2010-08-14 00:12 dhx Fixed in Version => 1.3.0-beta.1
2010-08-14 00:12 dhx Resolution open => fixed
2011-12-08 10:23 JanHegewald Note Added: 0030513
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036394
2013-04-05 18:14 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-11-07 17:45 atrol Relationship added has duplicate 0004768
2014-11-10 14:01 atrol Assigned To dhx =>
2014-11-10 14:01 atrol Severity minor => feature
2014-12-08 00:33 vboctor Status resolved => closed